<div class="background text-center">
  <form
    class="form-signin animated fadeIn"
    autocomplete="off"
    [formGroup]="registerForm"
    (ngSubmit)="register()"
    
  >
  
    <h1 class="h3 mb-3 font-weight-normal">Registro datos personales</h1>
    <label class="sr-only" for="inputName">Primer Nombre</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Primer nombre"
      formControlName="first_name"
      [class.is-invalid]="firstNameValidate"
      [(ngModel)]="first_name"
    />
    <label class="sr-only" for="inputName">Segundo Nombre</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Segundo nombre"
      formControlName="second_name"
      [class.is-invalid]="secondNameValidate"
      [(ngModel)]="second_name"
    />
    <label class="sr-only" for="inputName">Primer apellido</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Primer apellido"
      formControlName="first_lastname"
      [class.is-invalid]="firstLastNameValidate"
      [(ngModel)]="first_lastname"
    />
    <label class="sr-only" for="inputName">Segundo apellido</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Segundo apellido"
      formControlName="second_lastname"
      [class.is-invalid]="secondLastNameValidate"
      [(ngModel)]="second_lastname"
    />
    <label class="sr-only" for="inputName">Celular</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Celular"
      formControlName="cellphone"
      [class.is-invalid]="cellphoneValidate"
      [(ngModel)]="cellphone"
    />
    <label class="sr-only" for="inputEmail">Correo</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Correo"
      formControlName="email"
      [class.is-invalid]="emailValidate"
      [(ngModel)]="email"
    />
    <label class="sr-only" for="inputName">Departamento</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Departamento"
      formControlName="departament"
      [class.is-invalid]="departamentValidate"
      [(ngModel)]="departament"
    />
    <label class="sr-only" for="inputName">Ciudad</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Ciudad"
      formControlName="city"
      [class.is-invalid]="cityValidate"
      [(ngModel)]="city"
    />
    <label class="sr-only" for="inputName">Barrio</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Barrio"
      formControlName="quarter"
      [class.is-invalid]="quarterValidate"
      [(ngModel)]="quarter"
    />
    <label class="sr-only" for="inputName">Direccion</label>
    <input
      type="name"
      class="form-control mb-2"
      id="inputName"
      placeholder="Direccion"
      formControlName="address"
      [class.is-invalid]="addressValidate"
      [(ngModel)]="address"
     
    />
   
    
    <button type="submit" class="btn btn-lg btn-primary btn-block mb-2" [disabled]="" >
     Guardar
    </button>
   
    <a [routerLink]="['/login']">Regresar</a>
    <p class="mt-4 mb-3 text-muted">"Si lo quieres lo tienes TuCredito.com"</p>
   
  </form>
</div>
